define(function (require) {
  'use strict';

  var AppInit = brackets.getModule('utils/AppInit');

  var _require = require('bluebird');

  var co = _require.coroutine;

  var toolbarIcon = require('./ui/toolbar-icon');
  var Logger = require('./utils/logger');
  var registryUtils = require('./ui/registry-utils');
  var Preferences = require('./utils/preferences');

  var init = co(function* () {
    toolbarIcon.init();

    var CHECK_PERIOD = 12 * 60 * 60 * 1000; // 12 hours * 60 minutes * 60 seconds * 1000 millis
    var lastUpdateCheck = Preferences.get('lastUpdateCheck') || 0;
    var currentTime = new Date().valueOf();
    if (currentTime - CHECK_PERIOD > lastUpdateCheck) {
      registryUtils.getRegistry().then(function () {
        Preferences.set('lastUpdateCheck', currentTime);
      });
    }
  });

  AppInit.appReady(function () {
    return init()['catch'](function (e) {
      return Logger.error(e);
    });
  });
});
//# sourceMappingURL=C:\Users\Zaggi\AppData\Roaming\Brackets\extensions\user\brackets-npm-registry\dist/main.js.map