define(function (require, exports, module) {
  'use strict';

  var _ = brackets.getModule('thirdparty/lodash');
  var packageInfo = JSON.parse(require('text!../../package.json'));
  var PreferencesManager = brackets.getModule('preferences/PreferencesManager');
  var StateManager = PreferencesManager.stateManager;
  var prefix = packageInfo.name;

  var defaultPreferences = {
    /* nodePath: { type: 'string', value: null } */
  };

  var prefixed = function prefixed(key) {
    return prefix + '.' + key;
  };

  _.each(defaultPreferences, function (definition, key) {
    PreferencesManager.definePreference(prefixed(key), definition.type, definition.value);
  });
  PreferencesManager.save();

  function get(key) {
    var location = defaultPreferences[key] ? PreferencesManager : StateManager;
    arguments[0] = prefixed(key);
    return location.get.apply(location, arguments);
  }

  function set(key) {
    var location = defaultPreferences[key] ? PreferencesManager : StateManager;
    arguments[0] = prefixed(key);
    var retVal = location.set.apply(location, arguments);
    location.save();
    return retVal;
  }

  module.exports = {
    get: get,
    set: set
  };
});
//# sourceMappingURL=C:\Users\Zaggi\AppData\Roaming\Brackets\extensions\user\brackets-npm-registry\dist//utils/preferences.js.map